Skip to main content
GET
List plan instances

Authorizations

X-API-KEY
string
header
required

API Key Authentication.

Query Parameters

contractId
string<uuid>

Only return the plan instances of this contract.

planId
string<uuid>

Only return the plan instances of this plan.

customerIds[]
string<uuid>[]

Only return the plan instances of the contracts of these customers, identified by their id in our system.

customerExternalIds[]
string[]

Only return the plan instances of the contracts of these customers, identified by their id in your system.

Pattern: ^[a-zA-Z0-9_-]+$
status[]
enum<string>[]

Only return the plan instances in these statuses. Active plan instances are returned when omitted.

Available options:
active,
canceled,
completed
offset
integer
default:0

Number of items to skip before collecting the page.

Required range: 0 <= x <= 2147483647
limit
integer
default:100

Maximum number of items to return per page.

Required range: 1 <= x <= 100

Response

Default Response

items
object[]
required

A list of items.

hasMore
boolean
required

Indicates if there are more items to fetch.